Bug 107752 - [CI][DRMTIP] igt@kms_chamelium@dp-frame-dump - dmesg-fail - Chamelium frame dump didn't match reference image / *ERROR* mismatch in has_audio (expected yes, found no)
Summary: [CI][DRMTIP] igt@kms_chamelium@dp-frame-dump - dmesg-fail - Chamelium frame d...
Status: RESOLVED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-30 12:26 UTC by Martin Peres
Modified: 2019-04-23 13:48 UTC (History)
1 user (show)

See Also:
i915 platform: ICL, KBL
i915 features: display/DP


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-08-30 12:26:57 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_85/fi-kbl-7500u/igt@kms_chamelium@dp-frame-dump.html

(kms_chamelium:1436) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_frame_eq, file ../lib/igt_chamelium.c:1010:
(kms_chamelium:1436) igt_chamelium-CRITICAL: Failed assertion: !(!eq)
(kms_chamelium:1436) igt_chamelium-CRITICAL: Chamelium frame dump didn't match reference image
Subtest dp-frame-dump failed.

[  135.346169] [drm:pipe_config_err [i915]] *ERROR* mismatch in has_audio (expected yes, found no)
[  135.346171] ------------[ cut here ]------------
[  135.346172] pipe state doesn't match!
[  135.346217] WARNING: CPU: 1 PID: 1436 at drivers/gpu/drm/i915/intel_display.c:11874 intel_atomic_commit_tail+0xca1/0xd00 [i915]
[  135.346218] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 snd_hda_intel x86_pkg_temp_thermal snd_hda_codec coretemp crct10dif_pclmul crc32_pclmul btusb btrtl snd_hwdep ghash_clmulni_intel btbcm snd_hda_core btintel snd_pcm bluetooth e1000e ecdh_generic mei_me mei prime_numbers
[  135.346248] CPU: 1 PID: 1436 Comm: kms_chamelium Tainted: G     U            4.18.0-rc4-ga3a527faf129-drmtip_85+ #1
[  135.346249] Hardware name: GIGABYTE GB-BKi7(H)A-7500/MFLP7AP-00, BIOS F7 06/28/2017
[  135.346279] RIP: 0010:intel_atomic_commit_tail+0xca1/0xd00 [i915]
[  135.346280] Code: 69 f8 ff ff e8 30 6d ad e8 0f 0b 0f b6 44 24 18 e9 2a f8 ff ff e8 1f 6d ad e8 0f 0b 0f b6 14 24 e9 7e fd ff ff e8 0f 6d ad e8 <0f> 0b e9 c1 f8 ff ff e8 03 6d ad e8 0f 0b 49 8b 46 50 e9 ec fd ff 
[  135.346340] RSP: 0018:ffff90c4407d3b28 EFLAGS: 00010286
[  135.346343] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
[  135.346344] RDX: 0000000080000001 RSI: ffffffffaa084e56 RDI: 00000000ffffffff
[  135.346345] RBP: ffff8afd4e7c08d8 R08: 0000000046fc75de R09: 0000000000000000
[  135.346347] R10: ffff8afd594872f8 R11: 0000000000000000 R12: ffff8afd4c6e4138
[  135.346348] R13: ffff8afd59486fc8 R14: ffff8afd59485d28 R15: ffff8afd4e7c0000
[  135.346349] FS:  00007f6bb9eab980(0000) GS:ffff8afd6dc80000(0000) knlGS:0000000000000000
[  135.346351] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  135.346352] CR2: 00005619dc8fd638 CR3: 00000002539ec005 CR4: 00000000003606e0
[  135.346353] Call Trace:
[  135.346392]  intel_atomic_commit+0x240/0x320 [i915]
[  135.346398]  restore_fbdev_mode_atomic+0x1d3/0x1f0
[  135.346410]  drm_fb_helper_restore_fbdev_mode_unlocked+0x42/0x90
[  135.346414]  drm_fb_helper_set_par+0x24/0x50
[  135.346444]  intel_fbdev_set_par+0x11/0x40 [i915]
[  135.346448]  fbcon_init+0x4db/0x680
[  135.346455]  visual_init+0xd0/0x130
[  135.346458]  do_bind_con_driver+0x1ef/0x3f0
[  135.346465]  store_bind+0x133/0x1a0
[  135.346470]  kernfs_fop_write+0x104/0x190
[  135.346476]  __vfs_write+0x31/0x180
[  135.346481]  ? rcu_read_lock_sched_held+0x6f/0x80
[  135.346482]  ? rcu_sync_lockdep_assert+0x29/0x50
[  135.346485]  ? __sb_start_write+0x152/0x1f0
[  135.346487]  ? __sb_start_write+0x168/0x1f0
[  135.346492]  vfs_write+0xbd/0x1a0
[  135.346496]  ksys_write+0x50/0xc0
[  135.346501]  do_syscall_64+0x55/0x190
[  135.346504]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[  135.346506] RIP: 0033:0x7f6bb962d2b7
[  135.346507] Code: 44 00 00 41 54 55 49 89 d4 53 48 89 f5 89 fb 48 83 ec 10 e8 5b fd ff ff 4c 89 e2 41 89 c0 48 89 ee 89 df b8 01 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 35 44 89 c7 48 89 44 24 08 e8 94 fd ff ff 48 
[  135.346568] RSP: 002b:00007fffa0996060 EFLAGS: 00000293 ORIG_RAX: 0000000000000001
[  135.346570] RAX: ffffffffffffffda RBX: 0000000000000004 RCX: 00007f6bb962d2b7
[  135.346572] RDX: 0000000000000002 RSI: 00007f6bb9aa46a1 RDI: 0000000000000004
[  135.346573] RBP: 00007f6bb9aa46a1 R08: 0000000000000000 R09: 0000000000000006
[  135.346574] R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000002
[  135.346575] R13: 0000000000000004 R14: 00007f6bb961b628 R15: 00007f6bb9617d80
[  135.346585] irq event stamp: 465538
[  135.346587] hardirqs last  enabled at (465537): [<ffffffffa90fdc9c>] vprintk_emit+0x4bc/0x4d0
[  135.346590] hardirqs last disabled at (465538): [<ffffffffa9a0111c>] error_entry+0x7c/0x100
[  135.346592] softirqs last  enabled at (462742): [<ffffffffa9c0034f>] __do_softirq+0x34f/0x505
[  135.346595] softirqs last disabled at (462735): [<ffffffffa9090539>] irq_exit+0xa9/0xc0
[  135.346625] WARNING: CPU: 1 PID: 1436 at drivers/gpu/drm/i915/intel_display.c:11874 intel_atomic_commit_tail+0xca1/0xd00 [i915]
[  135.346626] ---[ end trace 9324cd71d9c11823 ]---
Comment 1 Martin Peres 2018-08-30 12:28:18 UTC
This may be related to https://bugs.freedesktop.org/show_bug.cgi?id=103841
Comment 2 Martin Peres 2018-10-16 13:02:08 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_128/fi-skl-6700k2/igt@kms_chamelium@hdmi-frame-dump.html

Starting subtest: hdmi-frame-dump
(kms_chamelium:1613) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_frame_eq, file ../lib/igt_chamelium.c:1010:
(kms_chamelium:1613) igt_chamelium-CRITICAL: Failed assertion: !(!eq)
(kms_chamelium:1613) igt_chamelium-CRITICAL: Chamelium frame dump didn't match reference image
Subtest hdmi-frame-dump failed.
Comment 3 Martin Peres 2018-10-23 07:11:28 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_131/fi-icl-u2/igt@kms_chamelium@hdmi-frame-dump.html

Starting subtest: hdmi-frame-dump
(kms_chamelium:2203) igt_chamelium-CRITICAL: Test assertion failure function chamelium_assert_frame_eq, file ../lib/igt_chamelium.c:1010:
(kms_chamelium:2203) igt_chamelium-CRITICAL: Failed assertion: !(!eq)
(kms_chamelium:2203) igt_chamelium-CRITICAL: Chamelium frame dump didn't match reference image
Subtest hdmi-frame-dump failed.
Comment 4 Arek Hiler 2019-04-10 08:56:05 UTC
It was happening each run up to drmtip_242. Now we are on drmtip_251 without reproduction. One more and we can close this as fixed.
Comment 5 Martin Peres 2019-04-23 13:48:41 UTC
(In reply to Arek Hiler from comment #4)
> It was happening each run up to drmtip_242. Now we are on drmtip_251 without
> reproduction. One more and we can close this as fixed.

Now at drmtip_263. Closing!
Comment 6 CI Bug Log 2019-04-23 13:48:57 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.